Part Prism/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/de |Ellipsoid |Keil |Part |IconL=Part_Ellipsoid.svg |IconR=Part_Wedge.svg |IconC=Workbench_Part.svg }}")
No edit summary
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Part Prism|Name/de=Part Prisma
|Name=Part Prism
|Name/de=Part Prisma
|MenuLocation=Formteil → [[Part_CreatePrimitives/de|Grundkörper erzeugen...]] → Prisma
|MenuLocation=Formteil → [[Part_Primitives/de|Grundkörper erzeugen...]] → Prisma
|Workbenches=[[Part_Workbench/de|Part]]
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|Version=0.14
|Version=0.14
|SeeAlso=Formteil → Primitives → [[Part_Box/de|Box]]
|SeeAlso=[[Part_Primitives/de|Part Primitives]]
}}
}}
</div>


== Description ==
== Description ==

Revision as of 13:42, 20 April 2022

Part Prisma

Menüeintrag
Formteil → Grundkörper erzeugen... → Prisma
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Primitives

Description

Beschreibung

Ein Prisma-Grundkörper ist im Grundkörper erstellen-Dialog im Part-Arbeitsbereich verfügbar. Ein Part Prima ist ein Festkörper definiert durch den Querschnitt eines regelmäßigen Polygons und eine Höhe.

Usage

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Parameter

  • Polygon - Die Anzahl der Seiten des Polygons, das den Querschnitt des Part Prisma beschreibt
  • Umkreisradius - Der Umkreisradius ist der Abstand vom Zentrum des Polygons zu einem Eckpunkt (vertex).
  • Höhe - Die Höhe des Part Prisma.

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DatenPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatenCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DatenHeight (Length): The height of the prism. The default is 10mm.
  • DatenFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.19
  • DatenSecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.19

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()